apiVersion: v1
kind: LimitRange
metadata:
  name: {{ quota_name | default('default') }}
  namespace: "{{ namespace }}"
spec:
  limits:
  - type: Pod
    max:
      cpu: "{{ max_pod_cpu_lim | default('4') }}"
      memory: "{{ max_pod_memory_lim | default('16Gi') }}"
  - type: Container
    default:
      cpu: "{{ default_container_cpu_lim | default('100m') }}"
      memory: "{{ default_container_memory_lim | default('512Mi') }}"
    defaultRequest:
      cpu: "{{ default_container_cpu_req | default('100m') }}"
      memory: "{{ default_container_memory_req | default('128Mi') }}"
